Page MenuHomePhabricator

Step 1: inform about editing on a different project under different license (impact: high)
Closed, ResolvedPublic13 Estimated Story Points

Description

As an editor I want to be informed that my edits are made on a different project under a different license.

Problem:
We need to tell people that they are editing on Wikidata (or another repo) and that the license there is CC-0 (or other).

Screenshots/mockups:


figma link

BDD
GIVEN a Bridge modal
WHEN pressing the publish button
THEN a confirmation prompt is shown informing about the license

GIVEN a license confirmation prompt
WHEN pressing the publish button again
THEN the edit is saved to the repository

GIVEN a license confirmation prompt
WHEN closing it by clicking the X
THEN the prompt closes
AND reopens again after clicking Publish again

Acceptance criteria:

  • Editor is informed about different project and license before saving the edit
  • license depends on actual license of the repository (might be different from CC-0)

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptNov 20 2019, 9:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher moved this task from Backlog to Needs work on the Wikidata-Bridge board.

Assigning to Charlie for design.

Lydia_Pintscher triaged this task as High priority.Nov 20 2019, 9:20 AM

For information & inspiration, here's how it is at the moment on Commons:

When uploading a file

After the upload, when suggested to add some statements

On the file page to add some statements

The phrase "from Wikidata" is indicated in the field to help people understand that they are looking for a Wikidata Item

Lea_Lacroix_WMDE added a comment.EditedDec 4 2019, 2:19 PM

In our case, we need to indicate two different things:

  1. the fact that the data that people are about to edit is stored in Wikidata, which means
    1. it's centralized in one place
    2. it's reused by plenty of other wikis
    3. changing this piece of information will change it in all the other wikis
  2. the fact that the data is in CC0
    1. unlike the rest of the content of Wikipedia that is in CC BY-SA 4.0.
    2. by editing data, the user accepts to place their contribution under CC0

In general, we want

  • people to be aware of the impact of their change "do I want to change the information just on this page or everywhere?"

And we don't want

  • people to be scared "wow, this seems too complicated for me, I'll just cancel and forget about changing this incorrect number"
  • people to be annoyed by too many steps, buttons to click on, repetitive information to appear

Note that on Commons, they deal with slightly different information (we don't edit Wikidata from Commons but reuse the data from Wikidata, which is indicated in the field). They also made the choice of displaying the info about CC0 only once in the structured data section, once you made one edit it disappears forever. In the upload wizard, however, you'll see the license info every time you upload a file, which I find good - by keeping the license info available for users all the time, we'll reduce the risk of people saying "I didn't know / I clicked without reading / you tricked me into your evil CC0 plan".

This being said, here's my suggestion for phrasing - please iterate on it, make suggestions :)

Information about data stored in Wikidata
"The information you are about to edit is stored in Wikidata, the centralized database that is used by several other wikis. Changing this value will also change it on Wikidata and possibly on Wikipedias in other languages."

Define the different options
"If you want to change the information on Wikidata, please continue / click on X / go ahead"
"If you want to change the information only on this Wikipedia article, please switch to "edit locally"" => this will work only when we enable the ability of local edit. Before that and for the first MVP, what option do we provide for people who want to edit the value locally?

Information about CC0
"License for data stored in Wikidata
By clicking "publish", you agree to the terms of use, and you irrevocably agree to release your contribution under the Creative Commons CC0 license." => consistent with Commons

As discussed in previous meeting, we're still thinking about the best way to present this content - a pop-up window, the information icon, a little grey rectangle like on Commons... it will depend on the content itself and how visible we want the information to be.

Lydia_Pintscher renamed this task from inform about editing on a different project under different license to Step 1: inform about editing on a different project under different license.Dec 5 2019, 1:12 PM

@Lea_Lacroix_WMDE thank you so much Léa, that's super helpful!

Lydia_Pintscher renamed this task from Step 1: inform about editing on a different project under different license to Step 1: inform about editing on a different project under different license (impact: high).Dec 8 2019, 1:21 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Dec 11 2019, 11:47 AM

Looks good! Thank you.

Small thing: I think there should be no "the" in "the Creative Commons CC0".

Looks good! Thank you.

Small thing: I think there should be no "the" in "the Creative Commons CC0".

changed in the mocks

Charlie_WMDE removed Charlie_WMDE as the assignee of this task.Feb 19 2020, 11:44 AM
Charlie_WMDE added a subscriber: Charlie_WMDE.
Lucas_Werkmeister_WMDE set the point value for this task to 13.Feb 25 2020, 11:40 AM

Task to be split into “inform user” and “add ‘don’t show me again’ checkbox”; estimation only for showing the alert at all times without persistence.

TODO: mobile mockups

This comment was removed by Pablo-WMDE.

Estimation for second part (task to be created), adding the “don’t show me again” checkbox and persisting it as a hidden user setting (for anonymous users, as a cookie) on the client wiki: 13

If the user checks the “don’t show me again” checkbox, but then closes the alert, and then clicks “publish changes” again, we must show the alert again, but it doesn’t matter if the checkbox is still checked or not – whichever is easier to implement :)

This comment was removed by Pablo-WMDE.

I think the Figma link in the task description is broken? It doesn’t send me to any particular node in Figma, just the whole canvas.

Charlie_WMDE updated the task description. (Show Details)Mar 5 2020, 12:40 PM

I think the Figma link in the task description is broken? It doesn’t send me to any particular node in Figma, just the whole canvas.

sorry, you'Re right. don't know what happened there. i fixed it now

Hello, as mentioned in the daily, the license banner is currently scrollable. Although I failed to mention it in the ACs we would like it to be sticky and "above" the Bridge UI in a sense.

two spec things i noticed:

  1. header has extra padding that shouldn't be there

the 8px and 2.5....px are both not needed. The top should just touch the 16px margin we have going around everything, and the first paragraph already has a 8px margin to the top which is all that's needed.


  1. the last paragraph has an extra 8px margin. this is not needed either. it should just touch the 16px margin that goes around the whole banner.


specs for reference

Change 580304 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: stop license from being scrolled away

https://gerrit.wikimedia.org/r/580304

Late in the game, but... The (English) copy "will also change it on..." is painting a wrong picture in my eyes. It may be an intentional attempt to simplify but may create false assumption about the information flow.

I assume the reason for that is the part after “will also change it on” mentions the repo wiki and other client wikis (“other languages”), but not the current wiki.

Change 580304 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: stop license from being scrolled away

https://gerrit.wikimedia.org/r/580304

Charlie_WMDE closed this task as Resolved.Mar 18 2020, 10:12 AM
Charlie_WMDE claimed this task.
Charlie_WMDE moved this task from Verification to Done on the Wikidata-Bridge-Sprint-16 board.

looks amazing! Merci!